/** @file /common/xml/xml_struct.h
    Predek vsech XML-serializovatelnych struktur pouzivanych
    pri prenosu dat pres sit.

    @author Petr Wolf
*/

#ifndef COMMON_XML_XML_STRUCT_H
#define COMMON_XML_XML_STRUCT_H

#include "common/mm.h"
#include "common/types.h"
#include "package.h"

class TXML_Struct // CLSDBG1
{
public:
    virtual void readFromXML(TPackage * package) = 0;
    virtual void writeToXML(TPackage * package) = 0;
};

#endif
/*****************************************************************************/
