/**
*******************************************************************************

  @file /gui/common/colors.cpp
  @brief barvy hracu, ...


  @author Pavel
  @version 0.1
 
******************************************************************************/
#include "gui/common/colors.h"

namespace gui{

unsigned char ColorPlayer[9][3] =
{
	{128, 128, 128},
	{  0, 255,   0},
	{255,   0,   0},
	{  0,   0, 255},
	{125,   0, 125},
	{255, 255,   0},
	{  0, 255, 255},
	{255, 128,   0},
	{255, 255, 255}
};

unsigned char ColorRase[3][3] =
{
	{128, 128, 128},
	{200,   0,   0},
	{  0, 255,   0}
};

unsigned char ColorTerrain[9][3] = 
{
	{255, 255, 128},	// TT_PLAIN
	{  0, 255, 128},	// TT_FOREST
	{  0, 128,   0},	// TT_DEEP_FOREST
	{192, 192, 192},	// TT_ROCKS
	{128, 128, 192},	// TT_SWAMP
	{  0, 128, 255},	// TT_RIVER
	{  0, 128, 255},	// TT_SEA
	{128, 192, 255},	// TT_SHALLOW
	{128, 128, 128}		// TT_TOWN
};

unsigned char ColorBlack[3] = {  0,   0,   0};
unsigned char ColorWhite[3] = {255, 255, 255};


}//namespace
/*****************************************************************************/
