/**
******************************************************************************

  @file /gui/common/KTime.h
  @brief Funkce pro praci s casem. 
  
  Mozna se budou pouzivat i jinde nez jen v gui. Napr jako timestampy.
 

  @author Vajicek
  @version 0.1

******************************************************************************/
#ifndef KTIME_H
#define KTIME_H

namespace gui{

/// Konstatnta reprezentujici aktualni okamzik
#define KTIME_NOW (-1)

/// Makro pro nacasovani ted+a
#define KTIME_FROMNOW(a) (KTime()+a)

/** Datovy typ pro cas. */
typedef unsigned int TIME;

/** Relativni cas.
  @return Aktualni cas.
*/
extern TIME KTime();



}//namespace

#endif
/*****************************************************************************/
