/**
*******************************************************************************

  @file /gui/common/TGA_lib.h
  @brief Funkce pro nahravani rastru z .TGA

  Nacita to SDL_Surface
  Nepodporuje RLE kompresi
  Nepodporuje otaceni obrazku

  @author Vajicek
  @version 0.1
 
******************************************************************************/
#ifndef TGA_LIB
#define TGA_LIB

#include "common/types.h"
#include <SDL/SDL.h>

namespace gui{

/** Nacitadlo TGA do SDL_Surface.
  @param filename Jmeno souboru TGA.
  @return SDL_Surface s bitmapou.
*/
SDL_Surface* LoadTGA(const char* filename);

}//namespace
#endif
/*****************************************************************************/
