/**
*******************************************************************************

  @file /gui/common/colors.h
  @brief barvy hracu, ...


  @author Pavel
  @version 0.1
 
******************************************************************************/
#ifndef COLORS_H
#define COLORS_H

namespace gui{

/** Barva hracu */
extern unsigned char ColorPlayer[9][3];
/** Barva ras. */
extern unsigned char ColorRase[3][3];
/** Barvy terenu. */
extern unsigned char ColorTerrain[9][3];
/** Barvy ?? */
extern unsigned char ColorBlack[3];
/** Barvy ?? */
extern unsigned char ColorWhite[3];


/** Barva hexu pro pohyb. */
#define MOVE_HEX_HIGHLIGHT_COLOR	  0, 1, 0

/** Barva hexu pro utok. */
#define ATTACK_HEX_HIGHLIGHT_COLOR	1, 0, 0

/** Barva hexu pro stavbu a opravu. */
#define BUILD_HEX_HIGHLIGHT_COLOR	  0, 0, 1

/** Barva predvyberu hexu. */
#define HEX_PRESELECTION_COLOR	    0, 1, 0

/** Barva predvyberu jednotky. */
#define UNIT_PRESELECTION_COLOR	    1, 0, 0

/** Barva vyberu jednotky. */
#define UNIT_SELECTION_COLOR	      0, 0, 1

/** Barva predvyberu budovy. */
#define BUILDING_PRESELECTION_COLOR	1, 0, 0

/** Barva vyberu budovy. */
#define BUILDING_SELECTION_COLOR	  0, 0, 1

/** Defaultni barva pozadi a mlhy. */
#define DEFAULT_BACKGROUND_RGB	0.5f, 0.625f, 0.75f

}//namespace
#endif
/*****************************************************************************/
