/** @file world/tcl_xml.h
    Kombinace trid ze souboru common/TCL/tcl_struct.h a common/XML/xml_struct.h
    do jedne abstraktni tridy tak, aby se predeslo problemum se slozitou
    dedicnosti.

    @author Petr Wolf
*/

#ifndef WORLD_TCL_XML_H
#define WORLD_TCL_XML_H

#include "common/TCL/tcl_struct.h"
#include "common/xml/xml_struct.h"

class TTCL_XML_Struct
{
public:
    
    virtual void readFromTCL(TTCL_Interpreter & interpreter, const char * varName) = 0;
    
    virtual void writeToTCL(TTCL_Interpreter & interpreter, const char * varName)  = 0;
    
    virtual void readFromXML(TPackage * package) = 0;
    
    virtual void writeToXML(TPackage * package) = 0;
};

#endif

